#!/bin/bash

maker_folder=`dirname $0`
projecttype=$1
foldername=$2

if [[ -z $projecttype ]]
then
    echo "need a project type"
    exit
fi

if [[ -d $maker_folder/$projecttype ]]
then
    echo "project type AVAILABLE"
else
    echo "project type not available"
    exit
fi

if [[ -z $foldername ]]
then
    echo "need a folder name"
    exit
fi

#mkdir $foldername
git init $foldername
folderpath=`dirname $foldername`
#cd $foldername
mkdir $foldername/src $foldername/test

echo "created $foldername at $folderpath"

cp -R $maker_folder/$projecttype/. $folderpath/$foldername


echo "done."

